Core evhtp functions

## Data Structures

struct | evhtp_t
| main structure containing all configuration information More...

## Functions

EVHTP_EXPORT evhtp_t * | evhtp_new (struct event_base *evbase, void *arg)
| creates a new evhtp_t instance More...
EVHTP_EXPORT void | evhtp_enable_flag (evhtp_t *, int)
EVHTP_EXPORT void | evhtp_connection_enable_flag (evhtp_connection_t *, int)
EVHTP_EXPORT void | evhtp_request_enable_flag (evhtp_request_t *, int)
EVHTP_EXPORT int | evhtp_get_flags (evhtp_t *)
EVHTP_EXPORT int | evhtp_connection_get_flags (evhtp_connection_t *)
EVHTP_EXPORT int | evhtp_request_get_flags (evhtp_request_t *)
EVHTP_EXPORT void | evhtp_disable_flag (evhtp_t *, int)
EVHTP_EXPORT void | evhtp_connection_disable_flag (evhtp_connection_t *, int)
EVHTP_EXPORT void | evhtp_request_disable_flag (evhtp_request_t *, int)
EVHTP_EXPORT void | evhtp_free (evhtp_t *evhtp)
| Frees evhtp_t structure; will stop and free threads associated with the structure, and free the ssl context as well (if applicable). More...

## Detailed Description

## Function Documentation

## evhtp_connection_disable_flag()

EVHTP_EXPORT void evhtp_connection_disable_flag | ( | evhtp_connection_t * | ,
|  | int |
| ) |  |

## evhtp_connection_enable_flag()

EVHTP_EXPORT void evhtp_connection_enable_flag | ( | evhtp_connection_t * | ,
|  | int |
| ) |  |

## evhtp_connection_get_flags()

EVHTP_EXPORT int evhtp_connection_get_flags | ( | evhtp_connection_t * |  | ) |

## evhtp_disable_flag()

EVHTP_EXPORT void evhtp_disable_flag | ( | evhtp_t * | ,
|  | int |
| ) |  |

## evhtp_enable_flag()

EVHTP_EXPORT void evhtp_enable_flag | ( | evhtp_t * | ,
|  | int |
| ) |  |

## evhtp_free()

EVHTP_EXPORT void evhtp_free | ( | evhtp_t * | evhtp | ) |

Frees evhtp_t structure; will stop and free threads associated with the structure, and free the ssl context as well (if applicable).

Parameters

  evhtp | - ptr to evhtp_t structure

Definition at line 5339 of file evhtp.c.

Here is the call graph for this function:

## evhtp_get_flags()

EVHTP_EXPORT int evhtp_get_flags | ( | evhtp_t * |  | ) |

## evhtp_new()

EVHTP_EXPORT evhtp_t* evhtp_new | ( | struct event_base * | evbase,
|  | void * | arg
| ) |  |

creates a new evhtp_t instance

Parameters

  evbase | the initialized event base
  arg | user-defined argument which is evhtp_t specific

Returns
  a new evhtp_t structure or NULL on error

Definition at line 5326 of file evhtp.c.

Here is the call graph for this function:

## evhtp_request_disable_flag()

EVHTP_EXPORT void evhtp_request_disable_flag | ( | evhtp_request_t * | ,
|  | int |
| ) |  |

## evhtp_request_enable_flag()

EVHTP_EXPORT void evhtp_request_enable_flag | ( | evhtp_request_t * | ,
|  | int |
| ) |  |

## evhtp_request_get_flags()

EVHTP_EXPORT int evhtp_request_get_flags | ( | evhtp_request_t * |  | ) |